# This file created by conda-build 3.16.2
# meta.yaml template originally from:
# C:\ci\containers\00001hdkbgm\tmp\build\80754af9\rsync-recipes\mypy-0.641-python_3.6-on-winbuilder, last modified Wed Oct 31 05:47:49 2018
# ------------------------------------------------

package:
    name: mypy
    version: '0.641'
source:
    fn: mypy-0.641.tar.gz
    sha256: 8e071ec32cc226e948a34bbb3d196eb0fd96f3ac69b6843a5aff9bd4efa14455
    url: https://pypi.io/packages/source/m/mypy/mypy-0.641.tar.gz
build:
    entry_points:
        - dmypy=mypy.dmypy:main
        - mypy=mypy.__main__:console_entry
        - stubgen=mypy.stubgen:main
    number: '0'
    script: C:\ci\mypy_1540983130129\_h_env\python.exe -m pip install . --no-deps
        --ignore-installed -vvv
    string: py36_0
requirements:
    host:
        - certifi 2018.10.15 py36_0
        - pip 10.0.1 py36_0
        - python 3.6.7 h33f27b4_1
        - setuptools 40.4.3 py36_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.32.2 py36_0
        - wincertstore 0.2 py36h7fe50ca_0
    run:
        - mypy_extensions >=0.4.0,<0.5.0
        - psutil >=5.4.0,<5.5.0
        - python >=3.6,<3.7.0a0
        - typed-ast >=1.1.0,<1.2.0
test:
    commands:
        - mypy --help
        - stubgen --help
        - dmypy --help
    imports:
        - mypy
        - mypy.plugins
        - mypy.server
        - mypy.test
about:
    description: 'Add type annotations to your Python programs, and use mypy to type
        check

        them. Mypy is essentially a Python linter on steroids, and it can catch

        many programming errors by analyzing your program, withoutactually having

        to run it.  Mypy has a powerful type system with features such as type

        inference, gradual typing, generics and union types.

        '
    dev_url: https://github.com/python/mypy
    doc_url: http://mypy.readthedocs.io
    home: http://www.mypy-lang.org/
    license: MIT
    license_family: MIT
    summary: Optional static typing for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
